com.corticon.service.ccserver

## Interface ICcRuleMessage

-     public interface ICcRuleMessage

  `ICcRuleMessage` is the interface for a business rule message posted during processing of rules in the Progress Corticon Engine.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INFO` `INFO` severity is used to post a message of an audit trail nature.
    `static java.lang.String` | `VIOLATION` `VIOLATION` severity is used to post a message indicating a constraint business rule has been violated.
    `static java.lang.String` | `WARNING` `WARNING` severity is used to post a message indicating a constraint business rule is close to being violated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getEntityReference()` `getEntityReference` returns the business object this message was posted against.
    `java.lang.String` | `getSeverity()` `getSeverity` returns a String describing the severity of the message.
    `java.lang.String` | `getText()` `getText` returns the text of the message.
    `java.lang.String` | `toString()` Invokes `toString(0)`
    `java.lang.String` | `toString(int aiTabs)` `toString` returns a formatted String with the state of the message.

- - ### Field Detail

    - #### INFO

          static final java.lang.String INFO

      `INFO` severity is used to post a message of an audit trail nature.
      See Also:
        Constant Field Values

    - #### WARNING

          static final java.lang.String WARNING

      `WARNING` severity is used to post a message indicating a constraint business rule is close to being violated. The client should typically allow the current transaction to complete, but give the user the appropriate warning messages.
      See Also:
        Constant Field Values

    - #### VIOLATION

          static final java.lang.String VIOLATION

      `VIOLATION` severity is used to post a message indicating a constraint business rule has been violated. The client should typically roll back the current transaction if any such messages are posted.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEntityReference

          java.lang.Object getEntityReference()

      `getEntityReference` returns the business object this message was posted against.
      Returns:
        Object - the business object this message was posted against

    - #### getSeverity

          java.lang.String getSeverity()

      `getSeverity` returns a String describing the severity of the message.
      Returns:
        String - the severity of the message: `INFO`, `WARNING`, `VIOLATION`
      See Also:
        `INFO`, `WARNING`, `VIOLATION`

    - #### getText

          java.lang.String getText()

      `getText` returns the text of the message.
      Returns:
        String - the text of the message

    - #### toString

          java.lang.String toString()

      Invokes `toString(0)`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String - the formatted message.

    - #### toString

          java.lang.String toString(int aiTabs)

      `toString` returns a formatted String with the state of the message.
      Parameters:
        `aiTabs` - - the number of tabs to prepend to each line of the output.
      Returns:
        String - the formatted message

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.